FORMAX DEVELOPER API
  1. Credit Card, Bank Account & Demat Account Lead API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
      POST
    • Create Lead
      POST
    • Lead Status
      POST
    • Lead Payout Callback
  1. Credit Card, Bank Account & Demat Account Lead API

Fetch All Products

POST
https://api.formaxpay.com/api/lead/fetch_all_products
This API is used to fetch the list of active lead-based products available for agents or partners, along with payout and earning details.
Category ID List
Credit Card = 1
Bank Account = 2
Demat Account = 3

Request

Header Params

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/lead/fetch_all_products' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw=='
Response Response Example
{
    "status": "SUCCESS",
    "message": "SUCCESS",
    "data": [
        {
            "id": 48,
            "category_id": "2",
            "name": "Kotak 811 Savings Account",
            "title": "Kotak 811 Savings Account",
            "sub_title": "Open Zero Balance Account | ₹1000 Initial Deposit | Get Up to 7% Interest | VKYC Needed for Payout",
            "logo": "https://static.ssoaccess.in/kotak_811_logo.png",
            "payout_type": "FLAT",
            "base_earning_note": "On account opening with initial deposit Rs 1000/-",
            "bonus_earning_note": "",
            "data": "",
            "status": "Active",
            "base_earning": 350,
            "bonus_earning": 0
        }
    ]
}
Modified at 2025-12-25 06:29:47
Previous
Credit Card, Bank Account & Demat Account Lead API
Next
Create Lead
Built with